Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.swing
Class BusinessSplitPane

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JSplitPane
                      de.jsystems.framework.swing.BusinessSplitPane

All Implemented Interfaces:
  Accessible, ImageObserver, MenuContainer, Serializable

public class BusinessSplitPane
extends JSplitPane

Stellt ein SplitPane dar. Innerhalb des SplitPane werden Objekte vom Typ `BusinessView` angezeigt. Diese koennen Wahlweise in einem ScrollPane angezeigt werden. Je nach Ausrichtung des Scrollpane (wird im Konstruktor angegeben), werden die Views ueber unterschiedliche Methoden hinzugefuegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JSplitPane
`JSplitPane.AccessibleJSplitPane`

Nested classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected String` | `ausrichtung` Ausrichtung der Komponenten(L/R oder O/U)
`protected JScrollPane` | `bottom_sp` ScrollPane fuer die untere View.
`protected JScrollPane` | `left_sp` ScrollPane fuer die linke View.
`static String` | `LINKS_RECHTS` SplitPane enthält einen linken und einen rechten Teil
`static String` | `OBEN_UNTEN` SplitPane enthält einen oberen und einen unteren Teil
`protected JScrollPane` | `right_sp` ScrollPane fuer die rechte View.
`static int` | `SCROLLBAR_NO` Komponente soll nicht in einem ScrollPane angezeigt werden
`static int` | `SCROLLBAR_YES` Komponente soll in einem ScrollPane angezeigt werden
`protected JScrollPane` | `top_sp` ScrollPane fuer die obere View.

Fields inherited from class javax.swing.JSplitPane
`BOTTOM, CONTINUOUS_LAYOUT_PROPERTY, continuousLayout, DIVIDER, DIVIDER_LOCATION_PROPERTY, DIVIDER_SIZE_PROPERTY, dividerSize, HORIZONTAL_SPLIT, LAST_DIVIDER_LOCATION_PROPERTY, lastDividerLocation, LEFT, leftComponent, ONE_TOUCH_EXPANDABLE_PROPERTY, oneTouchExpandable, orientation, ORIENTATION_PROPERTY, RESIZE_WEIGHT_PROPERTY, RIGHT, rightComponent, TOP, VERTICAL_SPLIT`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`BusinessSplitPane()` Initialisiert das SplitPane mit der Ausrichtung LINKS_RECHTS.
`BusinessSplitPane(String ausrichtung)` Initialisiert das SplitPane mit der uebergebenen Ausrichtung.

Method Summary
`void` | `setBottomComponent(BusinessView bottomView)` Setzt im SplitPane die Komponente fuer den unteren Anzeigebereich.
`void` | `setBottomComponent(BusinessView bottomView, int scrollYesNo)` Setzt im SplitPane die Komponente fuer den unteren Anzeigebereich.
`void` | `setLeftComponent(BusinessView leftView)` Setzt im SplitPane die Komponente fuer den linken Anzeigebereich.
`void` | `setLeftComponent(BusinessView leftView, int scrollYesNo)` Setzt im SplitPane die Komponente fuer den linken Anzeigebereich.
`void` | `setRightComponent(BusinessView rightView)` Setzt im SplitPane die Komponente fuer den rechten Anzeigebereich.
`void` | `setRightComponent(BusinessView rightView, int scrollYesNo)` Setzt im SplitPane die Komponente fuer den rechten Anzeigebereich.
`void` | `setTopComponent(BusinessView topView)` Setzt im SplitPane die Komponente fuer den oberen Anzeigebereich.
`void` | `setTopComponent(BusinessView topView, int scrollYesNo)` Setzt im SplitPane die Komponente fuer den oberen Anzeigebereich.

Methods inherited from class javax.swing.JSplitPane
`addImpl, getAccessibleContext, getBottomComponent, getDividerLocation, getDividerSize, getLastDividerLocation, getLeftComponent, getMaximumDividerLocation, getMinimumDividerLocation, getOrientation, getResizeWeight, getRightComponent, getTopComponent, getUI, getUIClassID, isContinuousLayout, isOneTouchExpandable, isValidateRoot, paintChildren, paramString, remove, remove, removeAll, resetToPreferredSizes, setBottomComponent, setContinuousLayout, setDividerLocation, setDividerLocation, setDividerSize, setLastDividerLocation, setLeftComponent, setOneTouchExpandable, setOrientation, setResizeWeight, setRightComponent, setTopComponent, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, paint, paintBorder, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OBEN_UNTEN

    public static final String OBEN_UNTEN

  SplitPane enthält einen oberen und einen unteren Teil

  See Also:
    Constant Field Values

### LINKS_RECHTS

    public static final String LINKS_RECHTS

  SplitPane enthält einen linken und einen rechten Teil

  See Also:
    Constant Field Values

### SCROLLBAR_YES

    public static final int SCROLLBAR_YES

  Komponente soll in einem ScrollPane angezeigt werden

  See Also:
    Constant Field Values

### SCROLLBAR_NO

    public static final int SCROLLBAR_NO

  Komponente soll nicht in einem ScrollPane angezeigt werden

  See Also:
    Constant Field Values

### ausrichtung

    protected String ausrichtung

  Ausrichtung der Komponenten(L/R oder O/U)

### left_sp

    protected JScrollPane left_sp

  ScrollPane fuer die linke View.

### right_sp

    protected JScrollPane right_sp

  ScrollPane fuer die rechte View.

### top_sp

    protected JScrollPane top_sp

  ScrollPane fuer die obere View.

### bottom_sp

    protected JScrollPane bottom_sp

  ScrollPane fuer die untere View.

Constructor Detail

### BusinessSplitPane

    public BusinessSplitPane()
                      throws WrongAllignmentException

  Initialisiert das SplitPane mit der Ausrichtung LINKS_RECHTS. Views duerfen somit nur ueber die Methoden
  - `setLeftComponent(BusinessView)`
  - `setLeftComponent(BusinessView, int)`
  - `setRightComponent(BusinessView)`
  - `setRightComponent(BusinessView, int)`
    hinzugefuegt werden.

### BusinessSplitPane

    public BusinessSplitPane(String ausrichtung)
                      throws WrongAllignmentException

  Initialisiert das SplitPane mit der uebergebenen Ausrichtung. Erlaubte Ausrichtungen sind dabei:
  - `LINKS_RECHTS`
  - `OBEN_UNTEN`
    Alle anderen Ausrichtungen fuehren zu einer `WrongAllignmentException`.

Parameters:
  `ausrichtung` - Die Ausrichtung fuer das SplitPane.
Throws:
  `WrongAllignmentException` - wenn die uebergebene Ausrichtung nicht zulaessig ist.

Method Detail

### setLeftComponent

    public void setLeftComponent(BusinessView leftView)
                          throws WrongPositionException

  Setzt im SplitPane die Komponente fuer den linken Anzeigebereich. Falls die Ausrichtung auf `OBEN_UNTEN` steht wird eine WrongPositionException ausgelöst.

  Parameters:
    `leftView` - Die View die im linken Anzeigebereich angezeigt werden soll.
  Throws:
    `WrongPositionException` - wenn die Ausrichtung auf `OBEN_UNTEN` steht.

### setLeftComponent

    public void setLeftComponent(BusinessView leftView,
                                 int scrollYesNo)
                          throws WrongPositionException

  Setzt im SplitPane die Komponente fuer den linken Anzeigebereich. Falls die Ausrichtung auf `OBEN_UNTEN` steht wird eine WrongPositionException ausgelöst. Bei Bedarf kann die View in einem ScrollPane dargestellt werden. Das wird durch den Parameter `scrollYesNo` festgelegt. Dieser darf die Werte
  - `SCROLLBAR_NO` Die View wird nicht in einem ScrollPane dargestellt.
  - `SCROLLBAR_YES` Die View ird in einem ScrollPane dargestellt. Scrollbalken werden bei Bedarf angezeigt.

  Parameters:
    `leftView` - Die View die im linken Anzeigebereich angezeigt werden soll.
    `scrollYesNo` - Festlegung, ob die Componente in einem ScrollPane dargestellt werden soll oder nicht.
  Throws:
    `WrongPositionException` - wenn die Ausrichtung auf `OBEN_UNTEN` steht.

### setRightComponent

    public void setRightComponent(BusinessView rightView)
                           throws WrongPositionException

  Setzt im SplitPane die Komponente fuer den rechten Anzeigebereich. Falls die Ausrichtung auf `OBEN_UNTEN` steht wird eine WrongPositionException ausgelöst.

  Parameters:
    `rightView` - Die View die im rechten Anzeigebereich angezeigt werden soll.
  Throws:
    `WrongPositionException` - wenn die Ausrichtung auf `OBEN_UNTEN` steht.

### setRightComponent

    public void setRightComponent(BusinessView rightView,
                                  int scrollYesNo)
                           throws WrongPositionException

  Setzt im SplitPane die Komponente fuer den rechten Anzeigebereich. Falls die Ausrichtung auf `OBEN_UNTEN` steht wird eine WrongPositionException ausgelöst. Bei Bedarf kann die View in einem ScrollPane dargestellt werden. Das wird durch den Parameter `scrollYesNo` festgelegt. Dieser darf die Werte
  - `SCROLLBAR_NO` Die View wird nicht in einem ScrollPane dargestellt.
  - `SCROLLBAR_YES` Die View ird in einem ScrollPane dargestellt. Scrollbalken werden bei Bedarf angezeigt.

  Parameters:
    `rightView` - Die View die im rechten Anzeigebereich angezeigt werden soll.
    `scrollYesNo` - Festlegung, ob die Componente in einem ScrollPane dargestellt werden soll oder nicht.
  Throws:
    `WrongPositionException` - wenn die Ausrichtung auf `OBEN_UNTEN` steht.

### setTopComponent

    public void setTopComponent(BusinessView topView)
                         throws WrongPositionException

  Setzt im SplitPane die Komponente fuer den oberen Anzeigebereich. Falls die Ausrichtung auf `LINKS_RECHTS` steht wird eine WrongPositionException ausgelöst.

  Parameters:
    `topView` - Die View die im oberen Anzeigebereich angezeigt werden soll.
  Throws:
    `WrongPositionException` - wenn die Ausrichtung auf `LINKS_RECHTS` steht.

### setTopComponent

    public void setTopComponent(BusinessView topView,
                                int scrollYesNo)
                         throws WrongPositionException

  Setzt im SplitPane die Komponente fuer den oberen Anzeigebereich. Falls die Ausrichtung auf `LINKS_RECHTS` steht wird eine WrongPositionException ausgelöst. Bei Bedarf kann die View in einem ScrollPane dargestellt werden. Das wird durch den Parameter `scrollYesNo` festgelegt. Dieser darf die Werte
  - `SCROLLBAR_NO` Die View wird nicht in einem ScrollPane dargestellt.
  - `SCROLLBAR_YES` Die View ird in einem ScrollPane dargestellt. Scrollbalken werden bei Bedarf angezeigt.

  Parameters:
    `topView` - Die View die im oberen Anzeigebereich angezeigt werden soll.
    `scrollYesNo` - Festlegung, ob die Componente in einem ScrollPane dargestellt werden soll oder nicht.
  Throws:
    `WrongPositionException` - wenn die Ausrichtung auf `LINKS_RECHTS` steht.

### setBottomComponent

    public void setBottomComponent(BusinessView bottomView)
                            throws WrongPositionException

  Setzt im SplitPane die Komponente fuer den unteren Anzeigebereich. Falls die Ausrichtung auf `LINKS_RECHTS` steht wird eine WrongPositionException ausgelöst.

  Parameters:
    `bottomView` - Die View die im unteren Anzeigebereich angezeigt werden soll.
  Throws:
    `WrongPositionException` - wenn die Ausrichtung auf `LINKS_RECHTS` steht.

### setBottomComponent

    public void setBottomComponent(BusinessView bottomView,
                                   int scrollYesNo)
                            throws WrongPositionException

  Setzt im SplitPane die Komponente fuer den unteren Anzeigebereich. Falls die Ausrichtung auf `LINKS_RECHTS` steht wird eine WrongPositionException ausgelöst. Bei Bedarf kann die View in einem ScrollPane dargestellt werden. Das wird durch den Parameter `scrollYesNo` festgelegt. Dieser darf die Werte
  - `SCROLLBAR_NO` Die View wird nicht in einem ScrollPane dargestellt.
  - `SCROLLBAR_YES` Die View ird in einem ScrollPane dargestellt. Scrollbalken werden bei Bedarf angezeigt.

  Parameters:
    `bottomView` - Die View die im unteren Anzeigebereich angezeigt werden soll.
    `scrollYesNo` - Festlegung, ob die Componente in einem ScrollPane dargestellt werden soll oder nicht.
  Throws:
    `WrongPositionException` - wenn die Ausrichtung auf `LINKS_RECHTS` steht.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD